﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>PWA Configuration Manager</title>
<style>
.ms-rtestate-field h1, h1.ms-rteElement-H1, .ms-rtestate-field h2, h2.ms-rteElement-H2 {
    line-height: 1.4;
    color: #31752f;
}

h2, .ms-h2 {
    font-size: 1.46em;
}

h2, h3, .ms-h2, .ms-h3, .ms-headerFont {
    font-family: "Segoe UI Semilight","Segoe UI","Segoe",Tahoma,Helvetica,Arial,sans-serif;
    color: #262626;
    font-weight: 300;
}

h1, h2, h3, h4, h5, h6, .ms-h1, .ms-h2, .ms-h3, .ms-h4, .ms-h5, .ms-h6 {
    margin: auto;
    font-weight: normal;
}

body, .ms-core-defaultFont, #pageStatusBar, #hybridTooltipStatusBar, .ms-status-msg, .js-callout-body {
    font-family: "Segoe UI","Segoe",Tahoma,Helvetica,Arial,sans-serif;
    font-size: 13px;
}

body, .ms-core-defaultFont, .js-callout-body {
    color: #444444;
}

h2 {
    display: block;
    font-size: 1.5em;
    margin-block-start: 0.83em;
    margin-block-end: 0.83em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold;
}

input[type=button], input[type=reset], input[type=submit], button {
    min-width: 6em;
    padding: 7px 10px;
    border: 1px solid #ababab;
    background-color: #fdfdfd;
    background-color: #fdfdfd;
    margin-left: 10px;
    font-family: "Segoe UI","Segoe",Tahoma,Helvetica,Arial,sans-serif;
    font-size: 11px;
    color: #444444;
}

input, select, label, textarea, button, option {
    font-family: inherit;
    font-size: inherit;
    color: inherit;
    vertical-align: middle;
}

button {
    appearance: auto;
    text-rendering: auto;
    color: buttontext;
    letter-spacing: normal;
    word-spacing: normal;
    line-height: normal;
    text-transform: none;
    text-indent: 0px;
    text-shadow: none;
    display: inline-block;
    text-align: center;
    align-items: flex-start;
    cursor: default;
    box-sizing: border-box;
    background-color: buttonface;
    margin: 0em;
    padding: 1px 6px;
    border-width: 2px;
    border-style: outset;
    border-color: buttonborder;
    border-image: initial;
}
input,
select,
label,
textarea,
button,
option
{
font-family:inherit;
font-size:inherit;
color:inherit;
vertical-align:middle;
}
textarea
{
overflow:auto;
}
input[type=password],
input[type=text],
input[type=file],
input:not([type]),
select,
textarea,
.sp-peoplepicker-topLevel,
.sp-peoplepicker-topLevelDisabled,
.sp-peoplepicker-autoFillContainer,
.ms-inputBox
{
 border:1px solid #ababab;
 background-color:#ffffff;
 background-color:rgba(255, 255, 255, 0.85);
 color:#444444;
}
input[type=password],
input[type=text],
input[type=file],
input:not([type]),
textarea,
.ms-inputBox
{
padding:2px 5px;
}
input[type=button],
input[type=reset],
input[type=submit],
button
{
min-width:6em;
padding:7px 10px;
 border:1px solid #ababab;
 background-color:#fdfdfd;
 background-color:#fdfdfd;
margin-left:10px;
 font-family:"Segoe UI","Segoe",Tahoma,Helvetica,Arial,sans-serif;
font-size:11px;
 color:#444444;
}
input[type=password]:focus,
input[type=text]:focus,
input:not([type]):focus,
select:focus,
textarea:focus,
.sp-peoplepicker-topLevelFocus,
.ms-inputBoxActive,
.ms-inputBox.ms-inputBoxActive:hover
{
 border-color:#5e9e46;
}
input[type=button]::-moz-inner-focus,
input[type=reset]::-moz-inner-focus,
input[type=submit]::-moz-inner-focus,
button::-moz-inner-focus
{
 border-color:#444444;
}
input[type=password]:hover,
input[type=text]:hover,
input[type=file]:hover,
input:not([type]):hover,
textarea:hover,
.sp-peoplepicker-topLevel:hover,
.ms-inputBox:hover
{
 border-color:#92c185;
}
input[type=button]:hover,
input[type=reset]:hover,
input[type=submit]:hover,
button:hover
{
 border-color:#92c185;
 background-color:#f0fceb;
 background-color:#f0fceb;
}
input[type=button]:active,
input[type=reset]:active,
input[type=submit]:active,
button:active
{
 border-color:#92c185;
 background-color:#c4e5b3;
 background-color:#c4e5b3;
}
input.ms-button-emphasize,
button.ms-button-emphasize
{
 border-color:#1c5b17;
 background-color:#31752f;
 background-color:#31752f;
 color:#ffffff;
}
input.ms-button-emphasize:hover,
button.ms-button-emphasize:hover
{
 background-color:#1c5b17;
 background-color:#1c5b17;
 border-color:#11440c;
}
input[type=password][disabled],
input[type=text][disabled],
input[type=file][disabled],
input:not([type])[disabled],
textarea[disabled],
select[disabled],
.sp-peoplepicker-topLevelDisabled,
.ms-inputBoxDisabled
{
 color:#b1b1b1;
 border-color:#e1e1e1;
 background-color:#fdfdfd;
 background-color:#fdfdfd;
}
input[type=button][disabled],
input[type=reset][disabled],
input[type=submit][disabled],
button[disabled][disabled]
{
 border-color:#e1e1e1;
 background-color:#fdfdfd;
 background-color:#fdfdfd;
 color:#b1b1b1;
}
a:visited
{
 color:#663399;
text-decoration:none;
}
a:hover,a:active
{
text-decoration:underline;
}
a:active
{
 color:#004d85;
}
a,.ms-link:visited
{
 color:#0072c6;
text-decoration:none;
}
#sideNavBox > hr
{
margin:20px auto;
}
#siteactiontd
{
height:30px;
margin-right:0px;
}

table{
   overflow:auto;
   height:350px;
   display:block;
}
</style>
</head>
<body>
    <h2 style="font-size:200%" id="selectionTitle">Entity Selection</h2>
    <input type="file" id="tfileWork" accept=".JSON" onchange="loadFile(this.files[0])" />
    <br />
    <br />
    <h2 style="visibility:hidden" id="selection" >Selection</h2>
    <table id="neTable">
    </table>
    <br />
    <button style="border-radius:4px" type="button" id="saveSelect" onclick="handleSaveJSON()" disabled>Save ...</button>
    <br /> 
    <script type="text/javascript">
        document.addEventListener('DOMContentLoaded', () => {
            const loadScript = (url) => {
                //console.log(`Loading '${url}'`);
                const script = document.createElement('script');
                script.type = 'text/javascript';
                script.src = url;
                script.async = false;
                document.head.appendChild(script);
                //console.log(`Loaded '${url}'`);
            };

            //loadScript(`${thorAppsPCMPath}/Scripts/InitPage.js`);
            loadScript(`./Scripts/EntitySelection.js`);
        });
    </script>
</body>
</html>
