﻿<!DOCTYPE html>
<html>
<head>
    <title>License Agreement</title>
    <meta charset="UTF-8">
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f4f4f4;
        }

        .container {
            max-width: 800px;
            margin: 0 auto;
            padding: 20px;
        }

        .logo {
            display: block;
            max-width: 100%; #200px;
            margin: 0 auto 5px;
        }

        .license-text {
            background-color: #fff;
            padding: 20px;
            border-radius: 5px;
            box-shadow: 0px 0px 10px rgba(0,0,0,0.1);
            font-size: 14px;
            color: #333;
        }

        h1, .important {
            color: #6201ff;
        }
    </style>
</head>
<body>
    <img class="logo" src="./Images/AppLogo.png" alt="ThorApps Logo">
    <div class="license-text">
        <h1>License Agreement</h1>
        <p>This License Agreement ("Agreement") is made between Bear Entrepreneurial Group trading as ThorApps ("Licensor"), and the user ("Licensee") who uses the web-based software provided by Licensor ("Software").</p>
        <h2>1. Grant of License</h2>
        <p>Licensor grants Licensee a non-exclusive, non-transferable, limited license to access and use the Software solely for Licensee's internal business purposes, subject to the terms and conditions of this Agreement. Licensee may not distribute, copy, or modify the Software in any way.</p>
        <h2>2. Restrictions</h2>
        <p>Licensee may not: (a) sublicense, sell, assign, or otherwise transfer the Software or this Agreement; (b) reverse engineer, decompile, or disassemble the Software; (c) remove or obscure any copyright or other proprietary notices from the Software; or (d) use the Software for any illegal or unauthorized purpose.</p>
        <h2>3. Ownership</h2>
        <p>Licensor retains all right, title, and interest in and to the Software, including all intellectual property rights. Licensee acknowledges that the Software is protected by copyright law and international treaty provisions.</p>
        <h2>4. Termination</h2>
        <p>This Agreement and the license granted hereunder may be terminated by Licensor if Licensee breaches any term of this Agreement. Upon termination, Licensee must immediately cease all use of the Software.</p>
        <h2>5. Disclaimer of Warranties</h2>
        <p>THE SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. LICENSOR DOES NOT WARRANT THAT THE SOFTWARE WILL MEET LICENSEE'S REQUIREMENTS OR THAT THE OPERATION OF THE SOFTWARE WILL BE UNINTERRUPTED OR ERROR-FREE.</p>
        <h2>6. Limitation of Liability</h2>
        <p>IN NO EVENT SHALL LICENSOR BE LIABLE TO LICENSEE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THE SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>
        <h2>7. Governing Law</h2>
        <p>This Agreement shall be governed by and construed in accordance with the laws of the jurisdiction in which Licensor is located.</p>
        <h2>8. Entire Agreement</h2>
        <p>This Agreement constitutes the entire agreement between the parties and supersedes all prior or contemporaneous negotiations, discussions, or agreements, whether written or oral, between the parties with respect to the subject matter hereof.</p>
        <h2>9. No Waiver</h2>
        <p>The failure of either party to enforce any rights granted hereunder or to take action against the other party in the event of any breach hereunder shall not be deemed a waiver by that party as to subsequent enforcement of rights or subsequent actions in the event of future breaches.</p>
        <h2>10. Acknowledgment</h2>
        <p>By accessing or using the Software, Licensee acknowledges that it has read this Agreement, understands it, and agrees to be bound by its terms and conditions.</p>
        <p>By accepting this Agreement, Licensee agrees that it will access and use the Software only through thorapps.com, and will not distribute, copy, or modify the Software in any way. Licensee may allow multiple users within its organization or department to access and use the Software, but may not distribute or transfer the Software to any third party. Licensee may share the link to the Software on thorapps.com with others to encourage them to access and use the Software through thorapps.com.</p>
        <p>If you have any questions or concerns, please do not hesitate to contact us at <a href="mailto: info@thorapps.com">info@thorapps.com</a>.</p>
    </div>
</body>
</html>
